# PIP: PIScreenDrawer Class Reference

PIScreenDrawer Class Reference

Console output class. More...

## Detailed Description

Console output class.

# Synopsis

This class provides output to console with automatic alignment and update. It supports tabs, keyboard listening, formats and colors.

# Layout

PIScreen works with variable pointers. You should add your variables with functions addVariable() which receives label name, pointer to variable and optional column and format. Columns count is dynamically increased if new column used. E.g. if you add variable to empty tab to column 3, columns count will be increased to 3, but two firsts columns will be empty. Each column filled from top to bottom, but you can add just string with function addString() or add empty line with function addEmptyLine(). Layout scheme:

# Keyboard usage

PIScreen should to be single in application. PIScreen aggregate PIKbdListener which grab keyboard and automatic switch tabs by theirs bind keys. If there is no tab binded to pressed key external function "slot" will be called